NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_sha1(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_sha1 - Returns a 40-character, hex-encoded string containing the SHA1 hash of the first argument

## Table Of Contents

## Synopsis

- ns_sha1 string

## Description

A cryptographic hash (sometimes called digest) is a kind of signature for a text or a data file. SHA1 generates an almost-unique 160-bit signature for a text.

## COMMANDS

ns_sha1 string

  string String from which hash should be produced

    oss2:nscp 2> ns_sha1 test
    A94A8FE5CCB19BA61C4C0873D391E987982FBBD3

## See Also

ns_crypt, ns_md5, ns_rand, ns_uudecode, ns_uuencode, nsd

## Keywords

crypt, encoding